<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>


<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%
	} 
	String persona = (String) session.getAttribute("persona");
%>	
<%@ include file="/m05bIdioma.inc"%>
<HTML>
<head>
		<title>Personal</title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">

</head>
	
<SCRIPT language=JavaScript>
	function fncSeleccionar (origen, dni,nombre,restriccion,OrdTrabajo,matricula){
	     if (OrdTrabajo=='1') {
  	       alert(dameAlerta(idioma, 262));
	     }		     
		 if (restriccion != "0") {
		     var msge = dameAlerta(idioma, 138);
		     alert(msge.replace("replace1", matricula));
	         opener.document[origen].Nombre2.value="";
	         opener.document[origen].Dni2.value="";
			 opener.document[origen].FecDen.focus();
			 opener.document[origen].FecDen.select();
		 }
		 else{
	         if('<%=request.getParameter("IsEsp")%>'=='N'){
	         	 opener.document[origen].Nombre2.value=nombre;
		         opener.document[origen].Dni2.value=dni;
	         }
	     }
	     window.close();
	}
</SCRIPT>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
 <!--Capa que se muestra Cuando acaba de Procesar -->
<FORM NAME="FormRelPersonal" METHOD="POST">
		<%
			m05bFileLog miLog = new m05bFileLog();
			int contador = 0;
			String sql = "";
			String sql2 = "";
			String nombre="", dni="";
			String Fecha=request.getParameter("Fecha");
			String Hora=request.getParameter("Hora");
			String sFecha= Fecha + " "+ Hora;			
			String sMatricula=request.getParameter("Matricula");
			String origen = request.getParameter("Origen");
			String restriccion="1";
			String OrdTrabajo="0";
            java.sql.Connection conn=null;
            PreparedStatement pstmt = null;
            ResultSet rs = null;		
            PreparedStatement pstmt2 = null;
            ResultSet rs2 = null;		
		try{
	
			//session.removeAttribute("Personal");
			sql = " SELECT " + m05bConstantes.COL_21_DNI + ","+ 
				  m05bConstantes.COL_21_NOMBRE + " FROM " +
                  m05bConstantes.TAB_ASIGNACION + "," +
                  m05bConstantes.TAB_PERSONAL + " WHERE ( "+ 
                  m05bConstantes.COL_01_MATRICULA + "='" + sMatricula + "') AND ( " + 
                  m05bConstantes.COL_01_FDESDE + " <= to_date('" + sFecha + "','dd/mm/yyyy HH24:mi')) AND (( " + 
                  m05bConstantes.COL_01_FDEVOL + " is null) OR ( " + m05bConstantes.COL_01_FDEVOL +" >= to_date('"+sFecha+"','dd/mm/yyyy HH24:mi'))) AND " + 
                  m05bConstantes.COL_01_DNI + "=" + m05bConstantes.COL_21_DNI;
		    miLog.addTraza(persona, "Buscar Asignados", "SQL: " + sql, m05bConstantes.LOG_NIVEL_BAJO);
		    sql2 = " SELECT " + m05bConstantes.COL_20_MATRICULA + " FROM " +
                  m05bConstantes.TAB_ORDENESTRAB  + " WHERE ( "+ 
                  m05bConstantes.COL_20_MATRICULA + "='" + sMatricula + "') AND ( " + 
                  m05bConstantes.COL_20_FENTRADA + " <= to_date('" + sFecha + "','dd/mm/yyyy HH24:mi')) AND (( " + 
                  m05bConstantes.COL_20_FSALIDA + " is null) OR ( " + m05bConstantes.COL_20_FSALIDA +" >= to_date('"+sFecha+"','dd/mm/yyyy HH24:mi')))" ;
		    miLog.addTraza(persona, "Buscar Asignados en Taller", "SQL2: " + sql2, m05bConstantes.LOG_NIVEL_BAJO);
		    //m05bbBeginSelect(sql);
			//m05bRS = m05bPStmt.executeQuery();
		%>
		<%
		    m05bConexion miConex = new m05bConexion();
            conn = miConex.getConnection();
            conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		    pstmt = conn.prepareStatement(sql);
            rs = pstmt.executeQuery();		
			if (rs.next() == true){
				dni = rs.getString(m05bConstantes.COL_21_DNI);
				nombre= rs.getString(m05bConstantes.COL_21_NOMBRE);
				restriccion="0";
		    }

		    pstmt2 = conn.prepareStatement(sql2);
            rs2 = pstmt2.executeQuery();		
			if (rs2.next() == true){
               OrdTrabajo="1";
		    }	
		%>
			
		<script>
			fncSeleccionar('<%=origen%>','<%=dni%>','<%=nombre%>','<%=restriccion%>','<%=OrdTrabajo%>','<%=sMatricula%>');
		</script>
			
</FORM>
<%
} catch (Exception ex1) {
		miLog.addTraza(ex1);
} finally {
		//m05bEndSelect();
		       if (rs != null)
			   rs.close();
		       if (pstmt != null)
			   pstmt.close();
		       if (rs2 != null)
			   rs2.close();
		       if (pstmt2 != null)
			   pstmt2.close();			   
		       if (conn != null)
			   conn.close();		
}%>
</BODY>
</HTML>